using System;
using System.IO;
namespace EscribirCars
{
  class Program
  {
    public static void Main(string[] args)
    {
      FileStream fs = null;
      byte[] buffer = new byte[81];
      int nbytes = 0, car = 0;
      const int CR = 13;

      try
      {
        // Crear un flujo hacia el fichero doc.txt
        fs = new FileStream("doc.txt", FileMode.Create,
                            FileAccess.Write);
        Console.WriteLine("Escriba el texto que desea" +
                          "almacenar en el fichero:");
        car = Console.Read();
        while (car != CR && nbytes < buffer.Length)
        {
          buffer[nbytes] = Convert.ToByte(car);
          nbytes++;
          car = Console.Read();
        }

        // Escribir la línea de texto en el fichero
        fs.Write(buffer, 0, nbytes);
      }
      catch (IOException e)
      {
        Console.WriteLine("Error: " + e.Message);
      }
      finally
      {
        if (! (fs == null)) fs.Close();
      }
      
      Console.Write("Pulse una tecla para continuar...");
      Console.ReadKey(true);
    }
  }
}
